-- SETTINGS - HEALTH WARNING EMOTE
function GoH_Settings_HEALTH_EMOTE_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote = "YES"
    		
	    else
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote = "NO"
    		
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end



-- SETTINGS - HEALTH WARNING SOUND
function GoH_Settings_HEALTH_SOUND_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Heartbeat.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS - HEALTH 25%
function GoH_Settings_HEALTH_TWENTYFIVE_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .25;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "25";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_25");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Heartbeat.mp3","Master");
    	else
    		
		end
end



-- SETTINGS - HEALTH 20%
function GoH_Settings_HEALTH_TWENTY_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .20;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "20";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_20");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Heartbeat.mp3","Master");
    	else
    		
		end
end
-- SETTINGS - HEALTH 15%
function GoH_Settings_HEALTH_FIFTEEN_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .15;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "15";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_15");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Heartbeat.mp3","Master");
    	else
    		
		end
end
-- SETTINGS - HEALTH 10%
function GoH_Settings_HEALTH_TEN_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .10;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "10";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_10");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Heartbeat.mp3","Master");
    	else
    		
		end
end
-- SETTINGS - HEALTH 5%
function GoH_Settings_HEALTH_FIVE_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .05;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "5";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_5");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Heartbeat.mp3","Master");
    	else
    		
		end
end

-- DEATH KNIGHT MENU PAGE TAB TWO
function GoH_Settings_MenuButton_Page_Two_OnClick()
		-- GO TO PAGE TWO
		GoH_SETTINGS_PAGE_TAB_TWO_BUTTON_ICON:Disable();
		GoH_Frame:Hide();

		GoH_SETTINGS_PAGE_TAB_ONE_BUTTON_ICON:Enable();
		GoH_Frame_Page2:Show();

		GoHv5_DeathKnight_Data.config.Settings_Page_Tab = "TWO";
    	
end

-- DEATH KNIGHT MENU PAGE TAB ONE
function GoH_Settings_MenuButton_Page_One_OnClick()
		-- GO TO PAGE ONE
		GoH_SETTINGS_PAGE_TAB_ONE_BUTTON_ICON:Disable();
		GoH_Frame_Page2:Hide();

		GoH_SETTINGS_PAGE_TAB_TWO_BUTTON_ICON:Enable();
		GoH_Frame:Show();

		GoHv5_DeathKnight_Data.config.Settings_Page_Tab = "ONE";
    	
end





-- SETTINGS PLAY FATALITY SOUND
function GoH_Settings_MenuButton_PlayFatalitySound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Fatality_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Fatality_Sound = "YES"
	    	Play_Random_Finish();
	    else
	    	GoHv5_DeathKnight_Data.config.Fatality_Sound = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC
function GoH_Settings_MenuButton_PlayFightMusic_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "YES"
	    	
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC TWENTY
function GoH_Settings_MenuButton_PlayFightMusicTwenty_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Twenty == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Twenty = "YES"
	    	
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Twenty = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC THIRTY
function GoH_Settings_MenuButton_PlayFightMusicThirty_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Thirty == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Thirty = "YES"
	    	
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Thirty = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC FORTY
function GoH_Settings_MenuButton_PlayFightMusicForty_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Forty == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Forty = "YES"
	    	
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Forty = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC FIFTY
function GoH_Settings_MenuButton_PlayFightMusicFifty_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Fifty == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Fifty = "YES"
	    	
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Fifty = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY DEFAULT MUSIC
function GoH_Settings_MenuButton_PlayDefaultMusic_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Default_Music == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Default_Music = "YES"
	    	
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Default_Music = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY PET MUSIC
function GoH_Settings_MenuButton_PlayPetMusic_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Pet_Music == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Pet_Music = "YES"
	    	PlayMusic("Interface\\AddOns\\GoH\\Music\\EBPM.mp3");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Pet_Music = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY AUCTION HOUSE SOUND
function GoH_Settings_MenuButton_PlayAuctionHouseSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Auction_House_Open.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY MAIL SHOW SOUND
function GoH_Settings_MenuButton_PlayMailShowSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Mail_Show_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Mail_Show_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Mail_Open.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Mail_Show_Sound = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY MERCHANT SHOW SOUND
function GoH_Settings_MenuButton_PlayMerchantShowSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Merchant_Open.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY TRANSMOGRIFY_OPEN SOUND
function GoH_Settings_MenuButton_PlayTransmogrifyOpenSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Transmog_Open.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY Player_Dead SOUND
function GoH_Settings_MenuButton_PlayPlayerDeadSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Player_Dead_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Player_Dead_Sound = "YES"
	    	Play_Only_Insults()
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Player_Dead_Sound = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT SOUND
function GoH_Settings_MenuButton_PlayFightSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "YES"
	    	Play_Random_Combat();
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS USE GENDER BENDER BUTTON
function GoH_Settings_MenuButton_Gender_Bender_OnClick()
	    if GoHv5_DeathKnight_Data.config.Gender_Bender == "NO" then
	    	GoHv5_DeathKnight_Data.config.Gender_Bender = "YES"
	    	
	    else
	    	GoHv5_DeathKnight_Data.config.Gender_Bender = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();

	-- GOH SETTING: GENDER BENDER
	if GoHv5_DeathKnight_Data.config.Gender_Bender == "NO" then
		-- REAL GENDER
		GoH_DeathKnight.Gender = GoH_DeathKnight.RealGender;
	else
		-- OPPOSITE TO REAL
		if GoH_DeathKnight.RealGender == "Female" then
			-- Change to Male
			GoH_DeathKnight.Gender = "Male";
		else
			-- Change to Female
			GoH_DeathKnight.Gender = "Female";
		end
	end
	if GoH_DeathKnight.Gender == "Female" then
		Settings_Female_Texture:Show();
	else
		Settings_Female_Texture:Hide();
	end

	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Gender_Bender_" .. GoH_DeathKnight.Gender .. ".mp3","Master")

end



-- SETTINGS PLAY OPEN AND CLOSE MENU SOUNDS
function GoH_Settings_MenuButton_PlayOpenAndCloseSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "YES"
	    	-- BEHOLD THE TOOLS OF CREATION
				if (GoH_DeathKnight.Gender == "Female") then
					PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Behold_The_Tools_Of_Creation_Female.mp3","Master");
				else
					PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.ogg","Master")
				end
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "NO"
	    	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end


















-- SETTINGS OPTION:  AUTO-DND AUCTION HOUSE
function GoH_Settings_AutoDND_Auction_House_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == "NO" then
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "YES"
			
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "NO"
			
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	
end

-- SETTINGS OPTION:  AUTO-DND IN COMBAT
function GoH_Settings_AutoDND_In_Combat_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == "NO" then
			
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "YES"
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "NO"
			
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	
end



-- SETTINGS SHOW MINIMAP ICON
function GoH_Settings_MenuButton_ShowMinimapIcon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "YES"
	    	
	    	GoH_MinimapButton:Show();
	    else
	    	GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "NO"
	    	
	    	GoH_MinimapButton:Hide();
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end



-- SETTINGS USE MK FONT
function GoH_Settings_Use_MK_Font_OnClick()

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == "NO" then
		GoHv5_DeathKnight_Data.config.Use_MK_Font = "YES";
		
   		       UIErrorsFrame:SetFont("Interface\\AddOns\\GoH\\Font\\AKIRA__.ttf", 25, "OUTLINE")
		       UIErrorsFrame:AddMessage("MK FONT: ON", 1.0, 0.25, 0.25);
	else
		GoHv5_DeathKnight_Data.config.Use_MK_Font = "NO";
		
   		       UIErrorsFrame:SetFont("Fonts\\FRIZQT__.ttf", 16)
   		       -- DEFAULT_CHAT_FRAME:SetFont("Fonts\\ARIALN.TTF", 14)
		       UIErrorsFrame:AddMessage("MK FONT: OFF", 1.0, 0.25, 0.25);
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS USE HEALTH WARNING
function GoH_Settings_Use_Health_Warning_OnClick()

	if GoHv5_DeathKnight_Data.config.Use_Health_Warning == "NO" then
		GoHv5_DeathKnight_Data.config.Use_Health_Warning = "YES";
		
	else
		GoHv5_DeathKnight_Data.config.Use_Health_Warning = "NO";
		
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end







-- SETTING: USE MOUSE OVER TOOLTIP
function GoH_Settings_MenuButton_UseMouseOverTooltip_OnClick()
	
	SMouseTarget_Console("gohtip");

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end





-- SETTING: USE FIGHT IMAGE
function GoH_Settings_MenuButton_UseFightImage_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Fight_Image == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Fight_Image = "YES"
			
				
		    
		    
			
	    	Show_Fight_Frame();
	    else
	    	
	    	GoHv5_DeathKnight_Data.config.Use_Fight_Image = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end







-- SETTING: USE FATALITY IMAGE
function GoH_Settings_MenuButton_UseFatalityImage_OnClick()
	    if GoHv5_DeathKnight_Data.config.Fatality_Image == "NO" then
	    	GoHv5_DeathKnight_Data.config.Fatality_Image = "YES"
			
	    	Play_Random_Finish();
	    else
	    	
	    	GoHv5_DeathKnight_Data.config.Fatality_Image = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- GOH MENU:   EMOTE
function GoH_Settings_MenuButton_Emote_OnClick()
	    if GoHv5_DeathKnight_Data.config.Emote == "NO" then
	    	GoHv5_DeathKnight_Data.config.Emote = "YES"
	    	SendChatMessage("GET OVER HERE", "EMOTE" );
	    else
	    	GoHv5_DeathKnight_Data.config.Emote = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();

end

-- GOH MENU:   SAY
function GoH_Settings_MenuButton_Say_OnClick()
	    if GoHv5_DeathKnight_Data.config.Say == "NO" then
	    	GoHv5_DeathKnight_Data.config.Say = "YES"
	    	SendChatMessage("GET OVER HERE", "SAY" );
	    else
	    	GoHv5_DeathKnight_Data.config.Say = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();

end

-- GOH MENU:   YELL
function GoH_Settings_MenuButton_Yell_OnClick()
	    if GoHv5_DeathKnight_Data.config.Yell == "NO" then
	    	GoHv5_DeathKnight_Data.config.Yell = "YES"
	    	SendChatMessage("GET OVER HERE", "YELL" );
	    else
	    	GoHv5_DeathKnight_Data.config.Yell = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();

end







-- GOH MENU:   RELOAD_UI
function GoH_Settings_MenuButton_Reload_UI_OnClick()
	    if GoHv5_DeathKnight_Data.config.Reload_UI == "NO" then
	    	GoHv5_DeathKnight_Data.config.Reload_UI = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\ReloadUI_" .. GoH_DeathKnight.Gender .. ".mp3","Master")
	    else
	    	GoHv5_DeathKnight_Data.config.Reload_UI = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();

end

-- DEATH KNIGHT INCLUDE HEADLESS HORSEMAN IDIOT SOUND
function GoH_Settings_Include_Horseman_Sound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "YES"
 		   	if (GoH_DeathKnight.Gender == "Female") then
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_You_Idiot_Female.mp3","Master");
				else
						PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.ogg","Master");
				end
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "NO"
 		   	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- DEATH KNIGHT INCLUDE RUDE SOUND
function GoH_Settings_Include_Rude_Sounds_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "YES"
 		   	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_The_Fuck_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "NO"
 		   	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- DEATH KNIGHT INCLUDE GOTCHA SOUND
function GoH_Settings_Include_Gotcha_Sounds_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "YES"
 		   	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Gotcha_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "NO"
 		   	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- GOH MENU:   TAUNT
function GoH_Settings_MenuButton_Taunt_OnClick()
	    if GoHv5_DeathKnight_Data.config.Taunt == "NO" then
	    	GoHv5_DeathKnight_Data.config.Taunt = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Taunt = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();

end












-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Settings_Set_Menu_Button_Images()

	GoH5_DeathKnight_SavedVariables();
	
	
	    
	
		
		
	    
	

	-- ###################################################################################################
	-- ###################################################################################################
	-- USE FIGHT IMAGE ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_FIGHT_IMAGE:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_FIGHT_IMAGE:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_FIGHT_IMAGE:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Use_Fight_Image == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_FIGHT_IMAGE:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_FIGHT_IMAGE:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");

	
	
	end
	
	-- ###################################################################################################
        -- ###################################################################################################
		-- INCLUDE GOTCHA SOUNDS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_INCLUDE_GOTCHA:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_SETTINGS_INCLUDE_GOTCHA:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_SETTINGS_INCLUDE_GOTCHA:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_INCLUDE_GOTCHA:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			Settings_Include_Gotcha_Text:SetText("|cFF00AA00Gotcha?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_INCLUDE_GOTCHA:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			Settings_Include_Gotcha_Text:SetText("|cFFFF0000Gotcha?|r");

		end
	
	
	-- ###################################################################################################
		-- ###################################################################################################
		-- INCLUDE RUDE SOUNDS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_INCLUDE_RUDE:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_SETTINGS_INCLUDE_RUDE:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_SETTINGS_INCLUDE_RUDE:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_INCLUDE_RUDE:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			Settings_Include_Rude_Text:SetText("|cFF00AA00Rude?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_INCLUDE_RUDE:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			Settings_Include_Rude_Text:SetText("|cFFFF0000Rude?|r");

		end	
		
		-- ###################################################################################################
		-- ###################################################################################################
		-- INCLUDE HEADLESS HORSEMAN IDIOT SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_INCLUDE_HORSEMAN:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_SETTINGS_INCLUDE_HORSEMAN:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_SETTINGS_INCLUDE_HORSEMAN:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_INCLUDE_HORSEMAN:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			Settings_Include_Horseman_Text:SetText("|cFF00AA00Include Horseman?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_INCLUDE_HORSEMAN:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			Settings_Include_Horseman_Text:SetText("|cFFFF0000Include Horseman?|r");

		end
	
	
	
	
	
	
	
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- USE FATALITY IMAGE ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_FATALITY_IMAGE:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_FATALITY_IMAGE:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_FATALITY_IMAGE:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Fatality_Image == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_FATALITY_IMAGE:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_FATALITY_IMAGE:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");

	
	end
	
	
	
	
	
	-- ###################################################################################################	

	
	
	
	

	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW MOUSE OVER TOOLTIP ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (SMouseTarget_Saved["off"] == 1) then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Use_MouseOverTooltip_Text:SetText("|cFF00AA00Mouse Over Tooltip?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Use_MouseOverTooltip_Text:SetText("|cFFFF0000Mouse Over Tooltip?|r");

	end
	
	
        -- ###################################################################################################
       -- ###################################################################################################
		--     USE HEALTH WARNING SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_DISABLE");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");
		end
        -- ###################################################################################################
       -- ###################################################################################################
		--     USE HEALTH WARNING EMOTE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_DISABLE");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");
		end
        
        -- ###################################################################################################
	-- ###################################################################################################
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- USE HEALTH WARNING ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Use_Health_Warning == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		GoH_Health_Frame:Show();
		GoH_Disabled_Health_Frame:Hide();
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:Enable();
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:Enable();
		Settings_Use_Health_Warning_Icon_Text:SetText("|cFF00AA00Health Warning?|r");

	else
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:Disable();
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:Disable();
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		if (GoHv5_DeathKnight_Data.config.Use_Mana_Warning == "YES") then
			GoH_Health_Frame:Hide();
			GoH_Disabled_Health_Frame:Show();
		else
			
			
			GoH_Health_Frame:Hide();
		end
		Settings_Use_Health_Warning_Icon_Text:SetText("|cFFFF0000Health Warning?|r");
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- USE MORTAL KOMBAT MK FONT ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_MK_FONT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MK_FONT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MK_FONT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Use_MK_Font == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_MK_FONT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Use_MK_Font_Icon_Text:SetText("|cFF00AA00Use GoH MK Font?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_MK_FONT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Use_MK_Font_Icon_Text:SetText("|cFFFF0000Use GoH MK Font?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW OR HIDE THE MINIMAP ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_SHOW_MINIMAP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Show_Minimap_Icon_Text:SetText("|cFF00AA00Minimap Icon?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_SHOW_MINIMAP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Show_Minimap_Icon_Text:SetText("|cFFFF0000Minimap Icon?|r");

	end
	
	
	
	
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FATALITY SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Fatality_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fatality_Sound_Text:SetText("|cFF00AA00'Fatality!'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fatality_Sound_Text:SetText("|cFFFF0000'Fatality!'|r");

	end
	if GoHv5_DeathKnight_Data.config.Fatality_Sound == "YES" then
		GoH_SETTINGS_USE_FATALITY_IMAGE:Enable();
	else
		GoH_SETTINGS_USE_FATALITY_IMAGE:Disable();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Sound_Text:SetText("|cFF00AA00'Fight!'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Sound_Text:SetText("|cFFFF0000'Fight!'|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Music_Text:SetText("|cFF00AA00EBM Plugin|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Music_Text:SetText("|cFFFF0000EBM Plugin|r");

	end
	
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC TWENTY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_TWENTY:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_TWENTY:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_TWENTY:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Twenty == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_TWENTY:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_TWENTY:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC THIRTY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_THIRTY:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_THIRTY:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_THIRTY:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Thirty == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_THIRTY:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_THIRTY:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC FORTY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_FORTY:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_FORTY:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_FORTY:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Forty == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FORTY:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FORTY:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC FIFTY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_FIFTY:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_FIFTY:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC_FIFTY:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music_Fifty == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FIFTY:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FIFTY:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		

	end
	
	
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY DEFAULT MUSIC
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_DEFAULT_MUSIC:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_DEFAULT_MUSIC:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_DEFAULT_MUSIC:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Default_Music == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_DEFAULT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Default_Music_Text:SetText("|cFF00AA00'Default!' Music|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_DEFAULT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Default_Music_Text:SetText("|cFFFF0000'Default!' Music|r");

	end
	if GoHv5_DeathKnight_Data.config.Menu_Default_Music == "NO" then
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:Enable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_TWENTY:Enable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_THIRTY:Enable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FORTY:Enable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FIFTY:Enable();
	else
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:Disable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_TWENTY:Disable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_THIRTY:Disable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FORTY:Disable();
		GoH_SETTINGS_PLAY_FIGHT_MUSIC_FIFTY:Disable();
	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY PET MUSIC
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_PET_MUSIC:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_PET_MUSIC:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_PET_MUSIC:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Pet_Music == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_PET_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Pet_Music_Text:SetText("|cFF00AA00'Pet Battle!' |r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_PET_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Pet_Music_Text:SetText("|cFFFF0000'Pet Battle!' |r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY AUCTION HOUSE SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_AUCTION_HOUSE_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_AUCTION_HOUSE_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_AUCTION_HOUSE_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_AUCTION_HOUSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Auction_House_Sound_Text:SetText("|cFF00AA00'Auction House!'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_AUCTION_HOUSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Auction_House_Sound_Text:SetText("|cFFFF0000'Auction House!'|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY MAIL SHOW SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_MAIL_SHOW_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_MAIL_SHOW_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_MAIL_SHOW_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Mail_Show_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_MAIL_SHOW_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Mail_Show_Sound_Text:SetText("|cFF00AA00'Mail'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_MAIL_SHOW_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Mail_Show_Sound_Text:SetText("|cFFFF0000'Mail'|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY MERCHANT SHOW SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_MERCHANT_SHOW_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_MERCHANT_SHOW_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_MERCHANT_SHOW_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_MERCHANT_SHOW_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Merchant_Show_Sound_Text:SetText("|cFF00AA00'Merchant'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_MERCHANT_SHOW_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Merchant_Show_Sound_Text:SetText("|cFFFF0000'Merchant'|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY TRANSMOGRIFY_OPEN SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_TRANSMOGRIFY_OPEN_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_TRANSMOGRIFY_OPEN_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_TRANSMOGRIFY_OPEN_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_TRANSMOGRIFY_OPEN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Transmogrify_Open_Sound_Text:SetText("|cFF00AA00'Transmogrify!'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_TRANSMOGRIFY_OPEN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Transmogrify_Open_Sound_Text:SetText("|cFFFF0000'Transmogrify'|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY PLAYER_DEAD SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_PLAYER_DEAD_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_PLAYER_DEAD_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_PLAYER_DEAD_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Player_Dead_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_PLAYER_DEAD_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Player_Dead_Sound_Text:SetText("|cFF00AA00'Player Dead!'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_PLAYER_DEAD_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Player_Dead_Sound_Text:SetText("|cFFFF0000'Player Dead!'|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SETTINGS USE GENDER BENDER
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_GENDER_BENDER_OPTION:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_GENDER_BENDER_OPTION:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_GENDER_BENDER_OPTION:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Gender_Bender == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_GENDER_BENDER_OPTION:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Gender_Bender_Text:SetText("|cFF00AA00Gender Bender?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_GENDER_BENDER_OPTION:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Gender_Bender_Text:SetText("|cFFFF0000Gender Bender?|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY OPEN AND CLOSE MENU SOUNDS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFF00AA00'Menu'|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFFFF0000'Menu'|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- RELOAD_UI MENU SOUNDS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_RELOAD_UI:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_RELOAD_UI:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_RELOAD_UI:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Reload_UI == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_RELOAD_UI:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Reload_UI_Text:SetText("|cFF00AA00Reload_UI|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_RELOAD_UI:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Reload_UI_Text:SetText("|cFFFF0000Reload_UI|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- EMOTE MENU 
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_EMOTE:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_EMOTE:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_EMOTE:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Emote == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_EMOTE:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Emote_Text:SetText("|cFF00AA00Emote|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_EMOTE:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Emote_Text:SetText("|cFFFF0000Emote|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SAY MENU 
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_SAY:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SAY:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SAY:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Say == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_SAY:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Say_Text:SetText("|cFF00AA00Say|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_SAY:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Say_Text:SetText("|cFFFF0000Say|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- YELL MENU 
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_YELL:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_YELL:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_YELL:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Yell == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_YELL:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Yell_Text:SetText("|cFF00AA00Yell|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_YELL:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Yell_Text:SetText("|cFFFF0000Yell|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- TAUNT MENU SOUNDS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_TAUNT:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_TAUNT:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_TAUNT:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Taunt == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_TAUNT:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Taunt_Text:SetText("|cFF00AA00Taunt|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_TAUNT:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Taunt_Text:SetText("|cFFFF0000Taunt|r");

	end
	if GoHv5_DeathKnight_Data.config.Taunt == "NO" then
		GoH_SETTINGS_YELL:Disable();
		GoH_SETTINGS_SAY:Disable();
		GoH_SETTINGS_EMOTE:Disable();
		GoH_SETTINGS_INCLUDE_HORSEMAN:Disable();
		GoH_SETTINGS_INCLUDE_GOTCHA:Disable();
		GoH_SETTINGS_INCLUDE_RUDE:Disable();
	else	
	    GoH_SETTINGS_YELL:Enable();
		GoH_SETTINGS_SAY:Enable();
		GoH_SETTINGS_EMOTE:Enable();
		GoH_SETTINGS_INCLUDE_HORSEMAN:Enable();
		GoH_SETTINGS_INCLUDE_GOTCHA:Enable();
		GoH_SETTINGS_INCLUDE_RUDE:Enable();
		
	end
	
	
	
	
	-- ###################################################################################################
	-- ###################################################################################################

	

end


